%if 0%{?suse_version}
%define htmlbasedir /srv/www/
%else
%define htmlbasedir /var/www/
%endif

Summary: Default media files for op5 System
Name: op5-default
Version: 3.1.6
Release: op5.1
Group: op5/system-addons
License: op5 Software License
Source1: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Obsoletes: OP5-System
%if 0%{?suse_version}
Requires: apache2
%else
Requires: httpd
%endif


%description
This package add some media files meeded by several op5 products.


%prep

%install
mkdir -p %buildroot
pushd %buildroot
tar xvzf %SOURCE1
rm -rf %name-%version/*.spec
rm -rf %name-%version/*.spec.in
mv %name-%version/* .
rm -rf %name-%version
%if 0%{?suse_version}
mkdir srv
mv  var/www srv/www
%endif
popd

mkdir -p %buildroot/opt/op5sys

%post


%files
%defattr(600,root,root)
%dir %attr(755,root,root) %{htmlbasedir}/op5images
%attr(644,root,root) %{htmlbasedir}/op5images/*
%dir %attr(755,root,root) /opt/op5sys
%attr(755,root,root) /etc/profile.d/op5.*
/etc/pki/rpm-gpg/RPM-GPG-KEY-op5

%clean
rm -rf %buildroot

%changelog
* Mon Sep 17 2007 Peter Ostlin <peter.ostlin@op5.com>
- Made this a package for both appliance and download customers
- Including only media files.
* Tue Sep 04 2007 Peter Ostlin <peter@op5.se>
- Migrating to CentOS, removing stuff not needed anymore
* Thu Jul 20 2006 Andreas Ericsson <jd@op5.se> 2.8.1.op5.1
- Made package install without causing conflicts.
- Removed section %%clean.
- Loosened password requirements for the root user.
- Changed system default ip to a public ip to avoid conflict
* Thu Jul 20 2006 Johannes Dagemark <jd@op5.se> 2.8.0rc1.op5.1
- Initial creation.
